#pragma once
#include "mof/Animation.h"
#include "BattlerFacade.h"

namespace et{
	class BattlerBindAnimation : public mof::Animation
	{
		et::BattlerFacade* m_pBattler;
		int m_finalKey;
		int m_key;
	public:
		BattlerBindAnimation(et::BattlerFacade* pBattler);
		virtual ~BattlerBindAnimation(void);
		virtual mof::Vector2D getPosition();
		virtual mof::Color getColor();
		virtual bool update();
		virtual bool isFinalized();
		virtual void setFinalKey(mof::AnimationKey key);
	};


}